#ifndef MOG_AUXILIAR_MOG2
#define MOG_AUXILIAR_MOG2

void draw_mouse_pointer(SDL_Surface *sfc);
void draw_button(SDL_Surface *sfc,int x,int y,int dx,int dy,char *text,TTF_Font *font,bool selected);
void draw_button2(SDL_Surface *sfc,class BButton *but,TTF_Font *font,bool selected);

void encode_string(char *str,char **result);
void decode_string(char *str,char **result);

bool load_string(FILE *dp,char **result);

void rotate_coordinates(int x,int y,float angle,int *rx,int *ry);
void rotate_surface_size(int width, int height, double angle, double zoom, int *dstwidth, int *dstheight);

SDL_Surface *frame_text_draw(SDL_Rect *r,
							 class FONTCONTAINER *font,
							 char *text_text,int text_spacing,int text_max_w,int text_frame,
							 int text_h_align,int text_v_align,int text_frame_radius,int text_frame_width,
							 int text_frame_point_x,int text_frame_point_y,
							 int text_r,int text_g,int text_b,int text_a,
							 int text_frame_r1,int text_frame_g1,int text_frame_b1,int text_frame_a1,
							 int text_frame_r2,int text_frame_g2,int text_frame_b2,int text_frame_a2);

void frame_text_bbox(SDL_Rect *r,
					 class FONTCONTAINER *font,
					 char *text_text,int text_spacing,int text_max_w,int text_frame,
					 int text_h_align,int text_v_align,int text_frame_radius,int text_frame_width,
					 int text_frame_point_x,int text_frame_point_y);

char *input_key_name(int key);


#endif

